package com.zcloud.service.emergency.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.emergency.EmergencyDrillSceneMapper;
import com.zcloud.service.emergency.EmergencyDrillSceneService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：应急演练场景
 * 作者：luoxiaobao
 * 时间：2021-06-19
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class EmergencyDrillSceneServiceImpl implements EmergencyDrillSceneService {

	@Autowired
	private EmergencyDrillSceneMapper emergencydrillsceneMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		emergencydrillsceneMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		emergencydrillsceneMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		emergencydrillsceneMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return emergencydrillsceneMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return emergencydrillsceneMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return emergencydrillsceneMapper.findById(pd);
	}

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteAll(PageData pd)throws Exception{
		emergencydrillsceneMapper.deleteAll(pd);
	}

	/**列表(根据应急演练基础信息ID查询)
	 * @return
	 * @throws Exception
	 */
	public List<PageData> listByBaseId(PageData pd) throws Exception {
		return emergencydrillsceneMapper.listByBaseId(pd);
	}

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	public void deleteByBaseId(PageData pd)throws Exception{
		emergencydrillsceneMapper.deleteByBaseId(pd);
	}
}

